| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
StringValue Class Reference

String value. More...

`#include <Value.h>`

Inheritance diagram for StringValue:

## Public Member Functions
| StringValue ()
| Constructor.
| StringValue (const std::string &value)
| Constructor. More...
| StringValue (const std::string *value)
| Constructor. More...
| StringValue (const StringValue &other)
| Copy constructor. More...
virtual std::string | getTypeName () const
| Get StringValue type name. More...
virtual size_t | getSize () const
| Get StringValue type size. More...
const std::string & | getString () const
| Get StringValue value. More...
| operator const char * () const
| Get StringValue value. More...
| operator const std::string & () const
| Get StringValue value. More...
| operator std::string & ()
| Get StringValue value. More...
| operator const std::string * ()
| Get StringValue value. More...
| operator std::string * ()
| Get StringValue value. More...
StringValue & | operator= (const StringValue &other)
| Assign operator. More...
StringValue & | operator= (const std::string &value)
| Assign operator. More...
StringValue & | operator= (const char *value)
| Assign operator. More...
virtual std::string | toString () const
| Get StringValue type string representation. More...
virtual Value * | clone () const
| Clone StringValue. More...
Public Member Functions inherited from Value
| Value (value_type_t theType)
| Constructor. More...
virtual | ~Value ()
| Destructor.
virtual value_type_t | getType () const
| Get Value type. More...

## Protected Attributes
std::string | m_value
| The string value.

## Detailed Description

String value.

Simply wraps the STL std::string class.

## Constructor & Destructor Documentation

StringValue::StringValue | ( | const std::string & | value | ) |
| inline

Constructor.

Parameters

  [in] | value | StringValue value.

StringValue::StringValue | ( | const std::string * | value | ) |
| inline

Constructor.

Parameters

  [in] | value | StringValue value.

StringValue::StringValue | ( | const StringValue & | other | ) |
| inline

Copy constructor.

Parameters

  [in] | other | StringValue to copy.

## Member Function Documentation

virtual Value* StringValue::clone | ( |  | ) | const
| inline virtual

Clone StringValue.

Returns
  Cloned StringValue.

Implements Value.

virtual size_t StringValue::getSize | ( |  | ) | const
| inline virtual

Get StringValue type size.

Returns
  StringValue type size.

Implements Value.

const std::string& StringValue::getString | ( |  | ) | const
| inline

Get StringValue value.

Returns
  StringValue value.

virtual std::string StringValue::getTypeName | ( |  | ) | const
| inline virtual

Get StringValue type name.

Returns
  StringValue type name.

Implements Value.

StringValue::operator const char * | ( |  | ) | const
| inline

Get StringValue value.

Returns
  StringValue value.

StringValue::operator const std::string & | ( |  | ) | const
| inline

Get StringValue value.

Returns
  StringValue value.

StringValue::operator const std::string * | ( |  | ) |
| inline

Get StringValue value.

Returns
  StringValue value.

StringValue::operator std::string & | ( |  | ) |
| inline

Get StringValue value.

Returns
  StringValue value.

StringValue::operator std::string * | ( |  | ) |
| inline

Get StringValue value.

Returns
  StringValue value.

StringValue& StringValue::operator= | ( | const StringValue & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | StringValue to copy.

Returns
  StringValue reference.

StringValue& StringValue::operator= | ( | const std::string & | value | ) |
| inline

Assign operator.

Parameters

  [in] | value | StringValue value.

Returns
  StringValue reference.

StringValue& StringValue::operator= | ( | const char * | value | ) |
| inline

Assign operator.

Parameters

  [in] | value | StringValue value.

Returns
  StringValue reference.

virtual std::string StringValue::toString | ( |  | ) | const
| inline virtual

Get StringValue type string representation.

Returns
  StringValue type string representation.

Implements Value.

The documentation for this class was generated from the following file:

- Value.h